| Version: 3.3.1

Public Member Functions | List of all members
wxRichTextListStyleDefinition Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextListStyleDefinition:
[legend]

## Detailed Description

This class represents a list style definition, usually added to a wxRichTextStyleSheet.

The class inherits paragraph attributes from wxRichTextStyleParagraphDefinition, and adds 10 further attribute objects, one for each level of a list. When applying a list style to a paragraph, the list style's base and appropriate level attributes are merged with the paragraph's existing attributes.

You can apply a list style to one or more paragraphs using wxRichTextCtrl::SetListStyle. You can also use the functions wxRichTextCtrl::NumberList, wxRichTextCtrl::PromoteList and wxRichTextCtrl::ClearListStyle.

As usual, there are wxRichTextBuffer versions of these functions so that you can apply them directly to a buffer without requiring a control.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextListStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextListStyleDefinition ()
| Destructor. More...
wxRichTextAttr | CombineWithParagraphStyle (int indent, const wxRichTextAttr &paraStyle, wxRichTextStyleSheet *styleSheet=nullptr)
| This function combines the given paragraph style with the list style's base attributes and level style matching the given indent, returning the combined attributes. More...
int | FindLevelForIndent (int indent) const
| This function finds the level (from 0 to 9) whose indentation attribute mostly closely matches indent (expressed in tenths of a millimetre). More...
wxRichTextAttr | GetCombinedStyle (int indent, wxRichTextStyleSheet *styleSheet=nullptr)
| This function combines the list style's base attributes and the level style matching the given indent, returning the combined attributes. More...
wxRichTextAttr | GetCombinedStyleForLevel (int level, wxRichTextStyleSheet *styleSheet=nullptr)
| This function combines the list style's base attributes and the style for the specified level, returning the combined attributes. More...
const wxRichTextAttr * | GetLevelAttributes (int level) const
| Returns the style for the given level. More...
int | GetLevelCount () const
| Returns the number of levels. More...
bool | IsNumbered (int level) const
| Returns true if the given level has numbered list attributes. More...
void | SetLevelAttributes (int level, const wxRichTextAttr &attr)
| Sets the style for the given level. More...
void | SetAttributes (int i, int leftIndent, int leftSubIndent, int bulletStyle, const wxString &bulletSymbol=wxEmptyString)
| Convenience function for setting the major attributes for a list level specification. More...
Public Member Functions inherited from wxRichTextParagraphStyleDefinition
| wxRichTextParagraphStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextParagraphStyleDefinition ()
| Destructor. More...
const wxString & | GetNextStyle () const
| Returns the style that should normally follow this style. More...
void | SetNextStyle (const wxString &name)
| Sets the style that should normally follow this style. More...
Public Member Functions inherited from wxRichTextStyleDefinition
| wxRichTextStyleDefinition (const wxString &name=wxEmptyString)
| Constructor. More...
virtual | ~wxRichTextStyleDefinition ()
| Destructor. More...
const wxString & | GetBaseStyle () const
| Returns the style on which this style is based. More...
const wxString & | GetDescription () const
| Returns the style's description. More...
const wxString & | GetName () const
| Returns the style name. More...
wxRichTextAttr | GetStyle () const
| Returns the attributes associated with this style. More...
const wxRichTextAttr | GetStyle () const
virtual wxRichTextAttr | GetStyleMergedWithBase (const wxRichTextStyleSheet *sheet) const
| Returns the style attributes combined with the attributes of the specified base style, if any. More...
void | SetBaseStyle (const wxString &name)
| Sets the name of the style that this style is based on. More...
void | SetDescription (const wxString &descr)
| Sets the style description. More...
void | SetName (const wxString &name)
| Sets the name of the style. More...
void | SetStyle (const wxRichTextAttr &style)
| Sets the attributes for this style. More...
wxRichTextProperties & | GetProperties ()
| Returns the definition's properties. More...
const wxRichTextProperties & | GetProperties () const
| Returns the definition's properties. More...
void | SetProperties (const wxRichTextProperties &props)
| Sets the definition's properties. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRichTextListStyleDefinition()

wxRichTextListStyleDefinition::wxRichTextListStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

## ◆ ~wxRichTextListStyleDefinition()

virtual wxRichTextListStyleDefinition::~wxRichTextListStyleDefinition | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ CombineWithParagraphStyle()

wxRichTextAttr wxRichTextListStyleDefinition::CombineWithParagraphStyle | ( | int | indent,
|  | const wxRichTextAttr & | paraStyle,
|  | wxRichTextStyleSheet * | styleSheet = `nullptr`
| ) |  |

This function combines the given paragraph style with the list style's base attributes and level style matching the given indent, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

## ◆ FindLevelForIndent()

int wxRichTextListStyleDefinition::FindLevelForIndent | ( | int | indent | ) | const

This function finds the level (from 0 to 9) whose indentation attribute mostly closely matches indent (expressed in tenths of a millimetre).

## ◆ GetCombinedStyle()

wxRichTextAttr wxRichTextListStyleDefinition::GetCombinedStyle | ( | int | indent,
|  | wxRichTextStyleSheet * | styleSheet = `nullptr`
| ) |  |

This function combines the list style's base attributes and the level style matching the given indent, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

## ◆ GetCombinedStyleForLevel()

wxRichTextAttr wxRichTextListStyleDefinition::GetCombinedStyleForLevel | ( | int | level,
|  | wxRichTextStyleSheet * | styleSheet = `nullptr`
| ) |  |

This function combines the list style's base attributes and the style for the specified level, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

## ◆ GetLevelAttributes()

const wxRichTextAttr* wxRichTextListStyleDefinition::GetLevelAttributes | ( | int | level | ) | const

Returns the style for the given level.

level is a number between 0 and 9.

## ◆ GetLevelCount()

int wxRichTextListStyleDefinition::GetLevelCount | ( |  | ) | const

Returns the number of levels.

This is hard-wired to 10. Returns the style for the given level. level is a number between 0 and 9.

## ◆ IsNumbered()

bool wxRichTextListStyleDefinition::IsNumbered | ( | int | level | ) | const

Returns true if the given level has numbered list attributes.

## ◆ SetAttributes()

void wxRichTextListStyleDefinition::SetAttributes | ( | int | i,
|  | int | leftIndent,
|  | int | leftSubIndent,
|  | int | bulletStyle,
|  | const wxString & | bulletSymbol = `wxEmptyString`
| ) |  |

Convenience function for setting the major attributes for a list level specification.

## ◆ SetLevelAttributes()

void wxRichTextListStyleDefinition::SetLevelAttributes | ( | int | level,
|  | const wxRichTextAttr & | attr
| ) |  |

Sets the style for the given level.

level is a number between 0 and 9. The first and most flexible form uses a wxTextAttr object, while the second form is for convenient setting of the most commonly-used attributes.